<?php

namespace App\Models;

use App\Models\Service_Model as Model;

class ServiceDomain extends Model
{
	protected $table = 'ab_service__domain';

	public function tld()
	{
		return $this->belongsTo(DomainTld::class,'domain_tld_id');
	}

	public function getNameAttribute()
	{
		return sprintf('%s.%s',$this->domain_name,$this->tld->name);
	}
}