<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Account extends Model
{
	protected $table = 'ab_account';
	public $timestamps = FALSE;

	/**
	 * Return the country the user belongs to
	 */
	public function country()
	{
		return $this->belongsTo(Country::class);
	}

	public function language()
	{
		return $this->belongsTo(Language::class);
	}

	public function user()
	{
		return $this->belongsTo(\App\User::class);
	}
}